<?php
if (!defined('TYPO3_MODE')) {
	die('Access denied.');
}

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile($_EXTKEY, 'Configuration/TypoScript', 'Content Modules');

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addLLrefForTCAdescr('tx_koecontentmodules_domain_model_moduledownload', 'EXT:koe_contentmodules/Resources/Private/Language/locallang_csh_tx_koecontentmodules_domain_model_moduledownload.xlf');
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages('tx_koecontentmodules_domain_model_moduledownload');
$GLOBALS['TCA']['tx_koecontentmodules_domain_model_moduledownload'] = array(
	'ctrl' => array(
		'title'	=> 'LLL:EXT:koe_contentmodules/Resources/Private/Language/locallang_db.xlf:tx_koecontentmodules_domain_model_moduledownload',
		'label' => 'title',
		'tstamp' => 'tstamp',
		'crdate' => 'crdate',
		'cruser_id' => 'cruser_id',
		'dividers2tabs' => TRUE,
		'sortby' => 'sorting',
		'versioningWS' => 2,
		'versioning_followPages' => TRUE,

		'languageField' => 'sys_language_uid',
		'transOrigPointerField' => 'l10n_parent',
		'transOrigDiffSourceField' => 'l10n_diffsource',
		'delete' => 'deleted',
		'enablecolumns' => array(
			'disabled' => 'hidden',
			'starttime' => 'starttime',
			'endtime' => 'endtime',
		),
		'searchFields' => 'title,description,file,preview,',
		'dynamicConfigFile' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extPath($_EXTKEY) . 'Configuration/TCA/ModuleDownload.php',
		'iconfile' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extRelPath($_EXTKEY) . 'Resources/Public/Icons/tx_koecontentmodules_domain_model_moduledownload.gif'
	),
);

$tmp_koe_contentmodules_columns = array(

	'module_downloads' => array(
		'exclude' => 1,
		'label' => 'LLL:EXT:koe_contentmodules/Resources/Private/Language/locallang_db.xlf:tx_koecontentmodules_domain_model_content.module_downloads',
		'config' => array(
			'type' => 'inline',
			'foreign_table' => 'tx_koecontentmodules_domain_model_moduledownload',
			'foreign_field' => 'content',
			'maxitems'      => 9999,
			'appearance' => array(
				'collapseAll' => 0,
				'levelLinksPosition' => 'top',
				'showSynchronizationLink' => 1,
				'showPossibleLocalizationRecords' => 1,
				'useSortable' => 1,
				'showAllLocalizationLink' => 1
			),
		),

	),
);

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTCAcolumns('tt_content',$tmp_koe_contentmodules_columns);

## EXTENSION BUILDER DEFAULTS END TOKEN - Everything BEFORE this line is overwritten with the defaults of the extension builder

$GLOBALS['TCA']['tt_content']['types']['koecontentmodules_module1'] = array('showitem' => '--palette--;LLL:EXT:cms/locallang_ttc.xlf:palette.general;general, --palette--;LLL:EXT:cms/locallang_ttc.xlf:palette.header;header, module_downloads, --div--;LLL:EXT:cms/locallang_ttc.xlf:tabs.access, --palette--;LLL:EXT:cms/locallang_ttc.xlf:palette.visibility;visibility, --palette--;LLL:EXT:cms/locallang_ttc.xlf:palette.access;access, --div--;LLL:EXT:cms/locallang_ttc.xlf:tabs.extended, --div--;LLL:EXT:lang/locallang_tca.xlf:sys_category.tabs.category, categories');
$GLOBALS['TCA']['tx_koecontentmodules_domain_model_moduledownload']['ctrl']['hideTable'] = TRUE;


/*
 * register plugins
 */

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
	$_EXTKEY,
	'Module1',
	'Downloads'
);

// add to "special" block in content element wizard
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPageTSConfig('
	mod.wizards.newContentElement.wizardItems.special {
		elements.koecontentmodules_module1 {
			icon = 
			title = Downloads
			description = Downloads
			tt_content_defValues.CType = koecontentmodules_module1
		}
		show := addToList(koecontentmodules_module1)
	}
');
