<?php
namespace Koe\KoeContentmodules\Controller;

/**
 * ContentController
 */
class ContentController extends \TYPO3\CMS\Extbase\Mvc\Controller\ActionController {

	/**
	 * contentRepository
	 *
	 * @var \Koe\KoeContentmodules\Domain\Repository\ContentRepository
	 * @inject
	 */
	protected $contentRepository = NULL;

	/**
	 * @var \TYPO3\CMS\Extbase\Configuration\ConfigurationManagerInterface
	 * @inject
	 */
	protected $configurationManager;

	public function initializeView(\TYPO3\CMS\Extbase\Mvc\View\ViewInterface $view) {
		$cObj = $this->configurationManager->getContentObject();
		$this->view->assign('content', $this->contentRepository->findByUid($cObj->data['uid']));
	}

	/**
	 * action module1
	 *
	 * @return void
	 */
	public function module1Action() {

	}

}
