<?php
if (!defined ('TYPO3_MODE')) {
	die ('Access denied.');
}

$GLOBALS['TCA']['tx_koecontentmodules_domain_model_moduledownload'] = array(
	'ctrl' => $GLOBALS['TCA']['tx_koecontentmodules_domain_model_moduledownload']['ctrl'],
	'interface' => array(
		'showRecordFieldList' => 'sys_language_uid, l10n_parent, l10n_diffsource, hidden, title, description, file, preview',
	),
	'types' => array(
		'1' => array('showitem' => 'sys_language_uid;;;;1-1-1, l10n_parent, l10n_diffsource, hidden;;1, title, description, file, preview, --div--;LLL:EXT:cms/locallang_ttc.xlf:tabs.access, starttime, endtime'),
	),
	'palettes' => array(
		'1' => array('showitem' => ''),
	),
	'columns' => array(
	
		'sys_language_uid' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.language',
			'config' => array(
				'type' => 'select',
				'foreign_table' => 'sys_language',
				'foreign_table_where' => 'ORDER BY sys_language.title',
				'items' => array(
					array('LLL:EXT:lang/locallang_general.xlf:LGL.allLanguages', -1),
					array('LLL:EXT:lang/locallang_general.xlf:LGL.default_value', 0)
				),
			),
		),
		'l10n_parent' => array(
			'displayCond' => 'FIELD:sys_language_uid:>:0',
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.l18n_parent',
			'config' => array(
				'type' => 'select',
				'items' => array(
					array('', 0),
				),
				'foreign_table' => 'tx_koecontentmodules_domain_model_moduledownload',
				'foreign_table_where' => 'AND tx_koecontentmodules_domain_model_moduledownload.pid=###CURRENT_PID### AND tx_koecontentmodules_domain_model_moduledownload.sys_language_uid IN (-1,0)',
			),
		),
		'l10n_diffsource' => array(
			'config' => array(
				'type' => 'passthrough',
			),
		),

		't3ver_label' => array(
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.versionLabel',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'max' => 255,
			)
		),
	
		'hidden' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.hidden',
			'config' => array(
				'type' => 'check',
			),
		),
		'starttime' => array(
			'exclude' => 1,
			'l10n_mode' => 'mergeIfNotBlank',
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.starttime',
			'config' => array(
				'type' => 'input',
				'size' => 13,
				'max' => 20,
				'eval' => 'datetime',
				'checkbox' => 0,
				'default' => 0,
				'range' => array(
					'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y'))
				),
			),
		),
		'endtime' => array(
			'exclude' => 1,
			'l10n_mode' => 'mergeIfNotBlank',
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.endtime',
			'config' => array(
				'type' => 'input',
				'size' => 13,
				'max' => 20,
				'eval' => 'datetime',
				'checkbox' => 0,
				'default' => 0,
				'range' => array(
					'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y'))
				),
			),
		),

		'title' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:koe_contentmodules/Resources/Private/Language/locallang_db.xlf:tx_koecontentmodules_domain_model_moduledownload.title',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim,required'
			),
		),
		'description' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:koe_contentmodules/Resources/Private/Language/locallang_db.xlf:tx_koecontentmodules_domain_model_moduledownload.description',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim'
			),
		),
		'file' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:koe_contentmodules/Resources/Private/Language/locallang_db.xlf:tx_koecontentmodules_domain_model_moduledownload.file',
			'config' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::getFileFieldTCAConfig(
				'file',
				array(
					'foreign_types' => array(
						\TYPO3\CMS\Core\Resource\File::FILETYPE_UNKNOWN => array('showitem' => '--palette--;;filePalette'),
						\TYPO3\CMS\Core\Resource\File::FILETYPE_TEXT => array('showitem' => '--palette--;;filePalette'),
						\TYPO3\CMS\Core\Resource\File::FILETYPE_IMAGE => array('showitem' => '--palette--;;filePalette'),
						\TYPO3\CMS\Core\Resource\File::FILETYPE_AUDIO => array('showitem' => '--palette--;;filePalette'),
						\TYPO3\CMS\Core\Resource\File::FILETYPE_VIDEO => array('showitem' => '--palette--;;filePalette'),
						\TYPO3\CMS\Core\Resource\File::FILETYPE_APPLICATION => array('showitem' => '--palette--;;filePalette'),
					),
					'minitems' => 1,
					'maxitems' => 1
				),
				''
			),
		),
		'preview' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:koe_contentmodules/Resources/Private/Language/locallang_db.xlf:tx_koecontentmodules_domain_model_moduledownload.preview',
			'config' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::getFileFieldTCAConfig(
				'preview',
				array('maxitems' => 1),
				$GLOBALS['TYPO3_CONF_VARS']['GFX']['imagefile_ext']
			),
		),
		
		'content' => array(
			'config' => array(
				'type' => 'passthrough',
			),
		),
	),
);
## EXTENSION BUILDER DEFAULTS END TOKEN - Everything BEFORE this line is overwritten with the defaults of the extension builder